Bullet Collision Detection & Physics Library: btBroadphasePair Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btBroadphasePair Struct Reference

The btBroadphasePair class contains a pair of aabb-overlapping objects. More...

`#include <btBroadphaseProxy.h>`

Collaboration diagram for btBroadphasePair:
[legend]

## Public Member Functions
| btBroadphasePair ()
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btBroadphasePair (btBroadphaseProxy &proxy0, btBroadphaseProxy &proxy1)

## Public Attributes
btBroadphaseProxy * | m_pProxy0
btBroadphaseProxy * | m_pProxy1
btCollisionAlgorithm * | m_algorithm
union {
void * m_internalInfo1
int m_internalTmpValue
}; |

## Detailed Description

The btBroadphasePair class contains a pair of aabb-overlapping objects.

A btDispatcher can search a btCollisionAlgorithm that performs exact/narrowphase collision detection on the actual collision shapes.

Definition at line 177 of file btBroadphaseProxy.h.

## Constructor & Destructor Documentation

## ◆ btBroadphasePair() [1/2]

btBroadphasePair::btBroadphasePair | ( |  | ) |
| inline

Definition at line 180 of file btBroadphaseProxy.h.

## ◆ btBroadphasePair() [2/2]

btBroadphasePair::btBroadphasePair | ( | btBroadphaseProxy & | proxy0,
|  | btBroadphaseProxy & | proxy1
| ) |  |
| inline

Definition at line 190 of file btBroadphaseProxy.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btBroadphasePair::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## Member Data Documentation

## ◆

union { ... } btBroadphasePair::@7

## ◆ m_algorithm

btCollisionAlgorithm* btBroadphasePair::m_algorithm
| mutable

Definition at line 211 of file btBroadphaseProxy.h.

## ◆ m_internalInfo1

void* btBroadphasePair::m_internalInfo1

Definition at line 213 of file btBroadphaseProxy.h.

## ◆ m_internalTmpValue

int btBroadphasePair::m_internalTmpValue

Definition at line 214 of file btBroadphaseProxy.h.

## ◆ m_pProxy0

btBroadphaseProxy* btBroadphasePair::m_pProxy0

Definition at line 208 of file btBroadphaseProxy.h.

## ◆ m_pProxy1

btBroadphaseProxy* btBroadphasePair::m_pProxy1

Definition at line 209 of file btBroadphaseProxy.h.

The documentation for this struct was generated from the following file:

- btBroadphaseProxy.h